Package org.springframework.batch.core.explore.support

# Class AbstractJobExplorerFactoryBean

java.lang.Object
org.springframework.batch.core.explore.support.AbstractJobExplorerFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.FactoryBean<JobExplorer>`

Direct Known Subclasses:
  `JobExplorerFactoryBean`

public abstract class AbstractJobExplorerFactoryBean extends Object implements org.springframework.beans.factory.FactoryBean<JobExplorer>
A `FactoryBean` that automates the creation of a `SimpleJobExplorer`. Declares abstract methods for providing DAO object implementations.

Since:
  2.0
Author:
  Dave Syer, Mahmoud Ben Hassine
See Also:
  - `JobExplorerFactoryBean`

- ## Field Summary

  ### Fields inherited from interface org.springframework.beans.factory.FactoryBean

  `OBJECT_TYPE_ATTRIBUTE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractJobExplorerFactoryBean()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected abstract ExecutionContextDao`
  `createExecutionContextDao()`
  `protected abstract JobExecutionDao`
  `createJobExecutionDao()`
  `protected abstract JobInstanceDao`
  `createJobInstanceDao()`
  `protected abstract StepExecutionDao`
  `createStepExecutionDao()`
  `Class<JobExplorer>`
  `getObjectType()`
  The type of object to be returned from `FactoryBean.getObject()`.
  `boolean`
  `isSingleton()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.springframework.beans.factory.FactoryBean

  `getObject`

- ## Constructor Details

  - ### AbstractJobExplorerFactoryBean

    public AbstractJobExplorerFactoryBean()

- ## Method Details

  - ### createJobInstanceDao

    protected abstract JobInstanceDao createJobInstanceDao() throws Exception
    Returns:
      fully configured `JobInstanceDao` implementation.
    Throws:
      `Exception` - thrown if error occurs during JobInstanceDao creation.

  - ### createJobExecutionDao

    protected abstract JobExecutionDao createJobExecutionDao() throws Exception
    Returns:
      fully configured `JobExecutionDao` implementation.
    Throws:
      `Exception` - thrown if error occurs during JobExecutionDao creation.

  - ### createStepExecutionDao

    protected abstract StepExecutionDao createStepExecutionDao() throws Exception
    Returns:
      fully configured `StepExecutionDao` implementation.
    Throws:
      `Exception` - thrown if error occurs during StepExecutionDao creation.

  - ### createExecutionContextDao

    protected abstract ExecutionContextDao createExecutionContextDao() throws Exception
    Returns:
      fully configured `ExecutionContextDao` implementation.
    Throws:
      `Exception` - thrown if error occurs during ExecutionContextDao creation.

  - ### getObjectType

    public Class<JobExplorer> getObjectType()
    The type of object to be returned from `FactoryBean.getObject()`.
    Specified by:
      `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<JobExplorer>`
    Returns:
      JobExplorer.class
    See Also:
      - `FactoryBean.getObjectType()`

  - ### isSingleton

    public boolean isSingleton()
    Specified by:
      `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<JobExplorer>`